import * as flags from '@oclif/command/lib/flags';
import Base from '../base';
export default class Create extends Base {
    static description: string;
    static examples: string[];
    static flags: {
        rdType: flags.IOptionFlag<string>;
        framework: flags.IOptionFlag<string>;
        rdc: flags.IOptionFlag<string>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    name: string;
    framework: string;
    rdc: string;
    rdcRepo: string;
    preInit(): Promise<{
        rdType: string;
        framework: string;
        rdc: string;
        verbose: boolean;
    }>;
    initialize(): Promise<void>;
    preRun(): Promise<void>;
    run(): Promise<void>;
    postRun(): Promise<void>;
    ask(): Promise<void>;
}
